> For the complete documentation index, see [llms.txt](https://docs-cn.multimarkets.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-cn.multimarkets.org/client-api/open-api/xiao-xi-jie-kou/xiao-xi-ding-yue-shuo-ming.md).

# 消息订阅说明

## 环境地址

> wss\://pre-api-test.cmfbl.com/openapi-c/openMsg/{appId}

## 请求报文

> 发送心跳消息\
> `{"head":{"msgType":"ping","token":"fd5e62aa-1b7b-44bd-b693-43ef7a60e684app","sendTime":1628899424051,"lang":"zh-CN"},"device":1,"seqId":1434,"trace":"d141023c-c706-43f4-bfaf-e73132b1da52-1628899424051"}`

> 发送登录消息\
> `{"head":{"msgType":"login","token":"74e6e8df-9399-4bec-85aa-217c9b93e38eapp","sendTime":1628899396299,"lang":"zh-CN"},"device":1,"seqId":1222,"trace":"12321229-c31b-4c52-8471-9f27fd61e9e8-1628899396299"}`

> 发送订阅资产\
> `{"head":{"msgType":"subscribe_asset","token":"74e6e8df-9399-4bec-85aa-217c9b93e38eapp","sendTime":1628899396299,"lang":"zh-CN"}, "data":{"tradeTypes":"1"}, "device":1,"seqId":1222,"trace":"12321229-c31b-4c52-8471-9f27fd61e9e8-1628899396299"}`

> 发送取消订阅资产\
> `{"head":{"msgType":"cancel_subscribe_asset","token":"74e6e8df-9399-4bec-85aa-217c9b93e38eapp","sendTime":1628899396299,"lang":"zh-CN"}, "data":{"tradeTypes":"1"}, "device":1,"seqId":1222,"trace":"12321229-c31b-4c52-8471-9f27fd61e9e8-1628899396299"}`

> 退出登录\
> `{"head":{"msgType":"logout","token":"74e6e8df-9399-4bec-85aa-217c9b93e38eapp","sendTime":1628899396299,"lang":"zh-CN"},"device":1,"seqId":1222,"trace":"12321229-c31b-4c52-8471-9f27fd61e9e8-1628899396299"}`

## 字段描述

| 字段名称          |   类型   |                                                 描述 |
| ------------- | :----: | -------------------------------------------------: |
| msgType       | String |                                               消息类型 |
| sendTime      |  Long  |                                               发送时间 |
| lang          | String |                                                 语言 |
| device        | String |                                             订阅设备类型 |
| trace         | String |                                                跟踪号 |
| tradeTypes    | String |                            模式类型 1：合约全仓，2：合约逐仓，6：股票 |
| subscribeType | String | 股票模式订阅类型（只有股票模式需要传）1:仓位浮动盈亏，2:资产消息，仓位和资产一起同时订阅传1,2 |
| companyId     |  Long  |                                               公司id |
| accountId     |  Long  |                                               账户id |
| customerId    |  Long  |                                               客户id |

## 响应报文

| 字段名称      |   描述   |
| --------- | :----: |
| msgCode   | 消息CODE |
| timestamp |  发送时间戳 |
| trace     |  追踪唯一码 |
| seqId     | 发送序列id |
| content   |  消息内容  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-cn.multimarkets.org/client-api/open-api/xiao-xi-jie-kou/xiao-xi-ding-yue-shuo-ming.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
